Subject: Re: [PATCH v2 2/8] string-list: remove unused "insert_at" parameter from add_entry

From: shejialuo <[email-masked]>
Date: Mon, 26 May 2025 21:52:47 +0800

On Mon, May 19, 2025 at 09:17:53AM +0200, Patrick Steinhardt wrote:
> On Sun, May 18, 2025 at 11:57:07PM +0800, shejialuo wrote:
> > In "add_entry", we accept "insert_at" parameter which must be either -1
> > (auto) or between 0 and `list->nr` inclusive. Any other value is
> > invalid. When caller specify any invalid "insert_at" value, we won't
> > check the range and move the element, which would definitely cause the
> > trouble.
> 
> Maybe "which may easily cause an out-of-bounds write" instead of vague
> "trouble"?
> 

Make sense. I will improve this in the next version.

Thanks,
Jialuo